import React from 'react';
import { View, Image, TouchableOpacity, ToastAndroid } from "react-native";
import { Ionicons } from '@expo/vector-icons';
import Text from './Text';

class Avatar extends React.Component {
    constructor(props) {
        super(props);
        this.state = {  size: props.size,
                    
    };
}
    
    renderscreen = () => {
        if(this.props.Image) {
            return(
                <View style={{height: this.state.size, width:this.state.size, borderRadius: this.state.size/2, }}>
                    <TouchableOpacity onPress={this.props.onPress}>
                    <Image 
                    style={{height: this.state.size, width:this.state.size, borderRadius: this.state.size/2, }}
                    source={this.props.source} />
                    </TouchableOpacity>
                </View>
            )
        }
        else if(this.props.Icon) {
            return(
                <View 
                style={[{backgroundColor: 'black', borderRadius: this.state.size/2, width: this.state.size, height: this.state.size},
                styles.iconview]}>
                    <TouchableOpacity onPress={this.props.onPress}>
                    <Ionicons name={this.props.name} size={this.state.size * 0.6} color={this.props.color || "white"}/>
                    </TouchableOpacity>
                </View>
            )
        }
        else if(this.props.Label) {
            return(
                <View style={[styles.labelview,{width: this.state.size,
                    height: this.state.size,
                    borderRadius: this.state.size / 2,}]}>
                    <TouchableOpacity onPress={this.props.onPress}>
                    <Text style={[styles.textstyle, 
                    {lineHeight: this.state.size, fontSize: this.state.size/2, color: this.props.color}]} numberOfLines={1}>
                        {this.props.name}
                    </Text>
                    </TouchableOpacity>
                </View>
            )
        }
        
    }
    

    render() {
        
        return(
            <View>
                {this.renderscreen()}
            </View>
        )
    }
}


const styles = {
    labelview: {
        backgroundColor: "black",
      },
      textstyle: {
          alignItems: 'center',
          justifyContent: 'center',
          textAlign: 'center',
          textAlignVertical: 'center',
           
      },
      iconview: {
          justifyContent: 'center',
          alignItems: 'center',
      }
}

export {Avatar};