import React, { Component } from 'react';
import { StyleSheet, View, TouchableOpacity, Image, Text} from 'react-native';
import { FontAwesome5 } from '@expo/vector-icons';class FloatingButton extends Component {

  render() {
    const { onPress } = this.props; 
    return (
      
        <TouchableOpacity
          activeOpacity={0.7}
          onPress={onPress}
          style={styles.TouchableOpacityStyle}>
          <View style = {[styles.Circle, this.props.style]}>
          
            <View style={{width:50,height:50,alignSelf:'center', margin:10, paddingLeft:12, paddingTop:8}}>
            <FontAwesome5 name={this.props.buttonName} size={30} color="black" />
            </View>
          </View>
        </TouchableOpacity>
      
    );
  }
}
 
const styles = StyleSheet.create({
 
      TouchableOpacityStyle: {
        position: 'absolute',
        width: 70,
        height: 70,
        flexDirection: 'row-reverse',
        justifyContent: 'flex-end',
        right: 30,
        bottom: 30,
      },
      Circle: {
        width: 70,
        height: 70,
        borderRadius: 70/2,
        backgroundColor : '#ed111f',
      },
      
});

export { FloatingButton };