import React, {Component} from 'react';
import {StatusBar,Text, View, StyleSheet, TouchableOpacity, Image, PixelRatio,} from 'react-native';
//import Icon from 'react-native-vector-icons/EvilIcons';
//import BackIcon from 'react-native-vector-icons/Feather';
import { Ionicons } from '@expo/vector-icons';

class Header extends Component {
  StatusBarDesign = () => {
    return (
      <View>
        <StatusBar
          barStyle = "default"
          hidden = {this.props.hidden} />
      </View>
    )
  };
  layoutType = () => {
    const headerBackground = this.props.backgroundColor ? this.props.backgroundColor : '#fff';
    const headerTextSize = this.props.textSize ? this.props.textSize : 22;
    const headerTop = StatusBar.currentHeight;

    if (this.props.rightButton && this.props.leftButton) {
      return (
        <View
          style={[
            styles.viewStyle,
            {marginTop: 0},
            {backgroundColor: headerBackground},
          ]}>
          {this.StatusBarDesign()}
          <TouchableOpacity onPress={this.props.onLeftPressed} >
            <Ionicons name={this.props.leftButtonName} size={40} style={styles.backButton}/>
          </TouchableOpacity>
          <Text style={[styles.textStyle, {fontSize: headerTextSize}]}>
            {this.props.headerText}
          </Text>
          <TouchableOpacity onPress={this.props.onRightPressed}>
            {/* <Image
              source={require('../assets/search.png')}
              style={styles.searchIconStyle}
            /> */}
            <Ionicons name={this.props.rightButtonName} size={40} style={styles.backButton}/>
          </TouchableOpacity>
        </View>
      );
      //return <Image style={searchIconStyle} source={require('./search.png')} />
    } else if (this.props.rightButton) {
        return (
          <View
            style={[
              styles.viewStyle,
              {marginTop: 0},
              {backgroundColor: headerBackground},
            ]}>
            {this.StatusBarDesign()}
            <Text style={[styles.textStyle, {fontSize: headerTextSize}]}>
              {this.props.headerText}
            </Text>
            <TouchableOpacity onPress={this.props.onRightPressed}>
              <Ionicons name={this.props.rightButtonName} size={40} style={styles.backButton}/>
            </TouchableOpacity>
          </View>
        );
      //return <Image style={searchIconStyle} source={require('./search.png')} />
    } else if (this.props.leftButton) {
        return (
          <View
            style={[
              styles.viewStyle,
              {marginTop: 0},
              {backgroundColor: headerBackground},
            ]}>
            {this.StatusBarDesign()}
            <TouchableOpacity onPress={this.props.onLeftPressed}>
              <Ionicons name={this.props.leftButtonName} size={40} style={styles.backButton}/>
            </TouchableOpacity>
            <Text style={[styles.textStyle, {fontSize: headerTextSize}]}>
              {this.props.headerText}
            </Text>
          </View>
        );
    } else {
        return (
          <View
            style={[
              styles.viewStyle,
              {marginTop: headerTop},
              {backgroundColor: headerBackground},
              
            ]}>
            {this.StatusBarDesign()}
            <Text style={[styles.textStyle, {fontSize: headerTextSize}]}>
              {this.props.headerText}
            </Text>
          </View>
        );
    }
  };
  render() {
    return <View>{this.layoutType()}</View>;
  }
}

const styles = StyleSheet.create({
  backButton: {
    flex:1,
    justifyContent: 'center',
    paddingVertical: 10,
    paddingHorizontal: 10,
  },
  textStyle: {
    marginTop: 15,
    flex: 3,
    fontSize: 25,
    marginLeft: 40,
  },
  searchIconStyle: {
    marginTop: 20,
    width: 20,
    height: 20,
    marginRight: 30,
  },
  viewStyle: {
    flexDirection: 'row',
    backgroundColor: '#0000FF',
    height: 60,
  },
  containerDefault: {
    alignItems: 'center',
    paddingVertical: 10,
    paddingHorizontal: 20,
    borderWidth: 1,
    borderRadius: 6,
    marginHorizontal: 10,
    marginVertical: 10,
  },
  container: {
    marginVertical: 30,
    marginHorizontal: 1,
    borderWidth: 1 / PixelRatio.getPixelSizeForLayoutSize(1),
    borderRadius: 2,
    borderColor: "#ccc",
    flexWrap: "nowrap",
    backgroundColor: "#fff",
    shadowColor: "#000",
    shadowOffset: { width: 0, height: 2 },
    shadowOpacity: 0.1,
    shadowRadius: 1.5,
    elevation: 3
  }
});

export {Header};